%global momorel 2

Summary: File-synchronization tool
Name: unison
Version: 2.13.16
Release: %{momorel}m
Group: Applications/File
License: GPL
URL: http://www.cis.upenn.edu/~bcpierce/unison/

%NoSource 0 http://www.cis.upenn.edu/~bcpierce/unison/download/releases/stable/unison-2.13.16.tar.gz a79bf5f4ebf2a1eaf15b1ac97f827374
%NoSource 1 http://www.cis.upenn.edu/~bcpierce/unison/download/releases/stable/unison-manual.html 2b39e52ec3893a112b28b7b0a294d941
%NoSource 2 http://www.cis.upenn.edu/~bcpierce/unison/download/releases/stable/unison-2.13.16-manual.pdf e7684d401d6f5ee194b9e631cc022dd6
Source3: unison.png

BuildPreReq: ocaml >= 3.09.2, lablgtk >= 2.6.0, tetex-latex
BuildPreReq: desktop-file-utils
BuildPreReq: gtk+-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Unison is a file-synchronization tool. It allows two replicas of a
collection of files and directories to be stored on different hosts
(or different disks on the same host), modified separately, and then
brought up to date by propagating the changes in each replica to the
other.

%prep
%setup -q

%__cp %{SOURCE1} .
%__cp %{SOURCE2} .

%build
make NATIVE=true UISTYLE=gtk2

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_bindir}
%__install -m 755 %{name} %{buildroot}%{_bindir}/%{name}-%{version}
(cd %{buildroot}%{_bindir}; %__ln_s %{name}-%{version} %{name})
%__mkdir_p %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps

cat > unison.desktop <<EOF
[Desktop Entry]
Type=Application
Exec=unison
Name=Unison File Synchronizer
GenericName=File Synchronizer
Comment=Replicate files over different hosts or disks
Terminal=false
Icon=unison.png
Encoding=UTF-8
StartupNotify=true
EOF

desktop-file-install --vendor= \
    --add-category Application \
    --add-category Accessories \
    --add-category Utility \
    --dir %{buildroot}%{_datadir}/applications \
    unison.desktop

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING NEWS README *.html *.pdf
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Tue Jul 25 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.13.16-2m)
- fix unison.desktop

* Wed Jul 12 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.13.16-1m)
- import from FC-5
-* Tue Feb 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.13.16-2
-- Rebuild for Fedora Extras 5
-
-* Thu Sep  1 2005 Gerard Milmeister <gemi@bluewin.ch> - 2.13.16-1
-- New Version 2.13.16
-
-* Sun Jul 31 2005 Gerard Milmeister <gemi@bluewin.ch> - 2.12.0-0
-- New Version 2.12.0
-
-* Fri May 27 2005 Toshio Kuratomi <toshio-tiki-lounge.com> - 2.10.2-7
-- Bump and rebuild with new ocaml and new lablgtk
-
-* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 2.10.2-6
-- rebuild on all arches
-
-* Mon May 16 2005 Gerard Milmeister <gemi@bluewin.ch> - 2.10.2-5
-- Patch: http://groups.yahoo.com/group/unison-users/message/3200
-
-* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
-- rebuilt
-
-* Thu Feb 24 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:2.10.2-2
-- BR gtk2-devel
-- Added NEWS and README docs
-
-* Sat Feb 12 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.10.2-1
-- New Version 2.10.2
-
-* Wed Apr 28 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:2.9.74-0.fdr.1
-- New Version 2.9.74
-- Added icon
-
-* Tue Jan 13 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:2.9.72-0.fdr.1
-- New Version 2.9.72
-
-* Tue Dec  9 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.9.70-0.fdr.2
-- Changed Summary
-- Added .desktop file
-
-* Fri Oct 31 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.9.70-0.fdr.1
-- First Fedora release
